# -*- coding: utf-8 -*-
from setuphelpers import *
import time

# Defining variables
bin_latest_zip = "Sysmon.zip"
silent_args = "-accepteula -i"
silent_args_update = "-c"
silent_args_remove = "-u force"
app_name = "Sysmon"
app_service = "Sysmon"
app_bin = "Sysmon.exe"
app_unzip = makepath(app_name, app_bin)
app_dir = makepath(systemdrive, "Windows")
app_bin_path = makepath(app_dir, app_bin)


def install():
    # Initializing variables
    package_version = control.version.split("-")[0]

    # Installing the package
    if not service_installed(app_service):
        print("Installing: %s" % app_name)
        install_exe_if_needed(app_unzip, silentflags=silent_args, min_version=package_version)
        time.sleep(120)
        run('"%s" %s' % (app_unzip, silent_args_update))
        # Adding this package to the "list-registry"
        register_windows_uninstall(control)  # control is a PackageEntry object corresponding to this package
    else:
        print("Updating: %s" % app_name)
        install_exe_if_needed(app_unzip, silentflags=silent_args_update, min_version=package_version)
        if not installed_softwares(app_name):
            # Adding this package to the "list-registry"
            register_windows_uninstall(control)  # control is a PackageEntry object corresponding to this package


def uninstall():
    killalltasks('Sysmon.exe')
    if run(("%s %s") % (app_bin_path, silent_args_remove)):
        remove_file(app_bin_path)
        unregister_uninstall(app_name)


def audit():
    # Check Sysmon Services
    if service_installed(app_service):
        return "OK"
    else:
        return "ERROR"
