# -*- coding: utf-8 -*-
from setuphelpers import *

# Defining variables
bin_latest_zip = "Sysmon.zip"
app_name = "Sysmon"
app_bin = "Sysmon.exe"
app_unzip = makepath(app_name, app_bin)


def update_package():
    # Initializing variables
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    url_dl = "https://download.sysinternals.com/files/Sysmon.zip"

    print("Download url is: %s" % url_dl)

    # Downloading latest binaries
    if not isfile(bin_latest_zip):
        print("Downloading: %s" % bin_latest_zip)
        wget(url_dl, bin_latest_zip, proxies=proxies)

        # Unzip
        unzip(bin_latest_zip)

        # Changing version of the package
        version = get_version_from_binary(app_unzip)
        control.version = "%s-%s" % (version, control.version.split("-", 1)[-1])
        control.save_control_to_wapt()
        print("Changing package version to: %s in WAPT\\control" % control.version)
